Bug 1479769 - Bad error message when logged user try to remove himself [NEEDINFO]
Bad error message when logged user try to remove himself
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 07:21 EDT by Dominik Hlavac Duran
Modified: 2017-08-15 01:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhulan: needinfo? (rohoover)


Attachments (Terms of Use)
user deletion (56.62 KB, image/png)
2017-08-10 10:41 EDT, Marek Hulan
no flags Details

  None (edit)
Description Dominik Hlavac Duran 2017-08-09 07:21:54 EDT
Description of problem: When you want to remove user which is currently logged wrong error message appears 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create user "tuser1"
2.log in as "tuser1"
3.try to delete yourself


Actual results:
Error message is green and shows "Successful" but error message say "you cannot remove yourself while you are logged in"

Expected results:
Error message should be red and show ERROR and not Successful

Additional info:
Comment 1 Marek Hulan 2017-08-10 10:40:59 EDT
Rox, is it right that user can see delete button for his own account? After clicking on delete button the user gets green message, see screenshot - in top right corner. I wonder if we should show the button in the first place. I'd suggest disabling with it tooltip on hover explaining why it's disabled. Thanks for your input.
Comment 2 Marek Hulan 2017-08-10 10:41 EDT
Created attachment 1311792 [details]
user deletion

Note You need to log in before you can comment on or make changes to this bug.